package q02b.exe.comun.valueobjects;



import q02b.exe.arquitectura.valueobjects.Q02bValueObject;



public class Q02bBuscadorGeneral extends Q02bValueObject{

	

	private static final long serialVersionUID = 1L;

	//Nombre de la tabla

	private String numInterno	 		= "";

	private String codigo	 	 		= "";

	private String descripcionA	 		= "";

	private String descripcionB	 		= "";

	private String comboA	 	 		= "";

	private String descripcionExtraA	= "";

	private String descripcionExtraB	= "";

	private String descripcionExtraC	= "";

	

	//MÉTODOS GET Y SET

	

	//Número interno de la tabla

	public String getNumInterno() {

		return numInterno;

	}

	public void setNumInterno(String numInterno) {

		this.numInterno = numInterno;

	}

	

	//Código del filtro

	public String getCodigo() {

		return codigo;

	}

	public void setCodigo(String codigo) {

		this.codigo = codigo;

	}

	

	// Valor de una de las descripciones

	public String getDescripcionA() {

		return descripcionA;

	}

	public void setDescripcionA(String descripcionA) {

		this.descripcionA = descripcionA;

	}

	

	//	Valor de una de las descripciones

	public String getDescripcionB() {

		return descripcionB;

	}

	public void setDescripcionB(String descripcionB) {

		this.descripcionB = descripcionB;

	}

	

	//	Valor del combo

	public String getComboA() {

		return comboA;

	}

	public void setComboA(String comboA) {

		this.comboA = comboA;

	}

	public String getDescripcionExtraA() {

		return descripcionExtraA;

	}

	public void setDescripcionExtraA(String descripcionExtraA) {

		this.descripcionExtraA = descripcionExtraA;

	}

	public String getDescripcionExtraB() {

		return descripcionExtraB;

	}

	public void setDescripcionExtraB(String descripcionExtraB) {

		this.descripcionExtraB = descripcionExtraB;

	}

	public String getDescripcionExtraC() {

		return descripcionExtraC;

	}

	public void setDescripcionExtraC(String descripcionExtraC) {

		this.descripcionExtraC = descripcionExtraC;

	}



	//FIN MÉTODOS GET Y SET

}

